Authentication
Verify Key

Verify Key

Test that your API key and organisation ID are valid and correctly paired.


Endpoint

GET /v1/

Authentication: Bearer API key + X-Organisation-Id


Request

No body or query parameters required.


Response

200 OK

{
  "api": "TalkNTalk",
  "version": "v1",
  "organisation": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "Acme Corp",
    "slug": "acme-corp"
  }
}
FieldTypeDescription
apistringAlways "TalkNTalk"
versionstringAPI version in use
organisation.idstring (UUID)Your organisation's unique identifier
organisation.namestringOrganisation display name
organisation.slugstringURL-safe identifier

Code Examples

curl https://api.v1.talkntalk.africa/v1/ \
  -H "Authorization: Bearer tk_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \
  -H "X-Organisation-Id: 3fa85f64-5717-4562-b3fc-2c963f66afa6"

Error Responses

StatusMeaning
401 UnauthorizedMissing or invalid API key
{
  "detail": "Authentication credentials were not provided."
}
{
  "detail": "Invalid or revoked API key."
}